de.esprit.appsuite.io.archive.javatar

## Class tar

- java.lang.Object
- - de.esprit.appsuite.io.archive.javatar.tar

- All Implemented Interfaces:
    TarProgressDisplay

      public class tar
      extends java.lang.Object
      implements TarProgressDisplay

  The tar class implements a weak reproduction of the traditional UNIX tar command. It currently supports creating, listing, and extracting from archives. It also supports GZIP-ed archives with the '-z' flag. See the usage (-? or --usage) for option details.

       usage: com.ice.tar.tar has three basic modes:

         com.ice.tar -c [options] archive files...
            Create new archive containing files.

         com.ice.tar -t [options] archive
            List contents of tar archive

         com.ice.tar -x [options] archive
            Extract contents of tar archive.

       options:
          -f file, use 'file' as the tar archive
          -v, verbose mode
          -z, use GZIP compression
          -D, debug archive and buffer operation
          -b blks, set blocking size to (blks * 512) bytes
          -o, write a V7 format archive rather than ANSI
          -u name, set user name to 'name'
          -U id, set user id to 'id'
          -g name, set group name to 'name'
          -G id, set group id to 'id'
          -?, print usage information
          --trans, translate 'text/*' files
          --mime file, use this mime types file and translate
          --usage, print usage information
          --version, print version information

       The translation options will translate from local line
       endings to UNIX line endings of '\\n' when writing tar
       archives, and from UNIX line endings into local line endings
       when extracting archives.

       Written by Tim Endres
       This software has been placed into the public domain.

  Version:
    $Revision: 1.5 $
  Author:
    Timothy Gerard Endres,
  See Also:
    `TarArchive`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `tar()` Establishes the default userName with the 'user.name' property.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `instanceMain(java.lang.String[] argv)` This is the "real" main.
    `static void` | `main(java.lang.String[] argv)` The main entry point of the tar class.
    `void` | `showTarProgressMessage(java.lang.String msg)` Display progress information by printing it to System.out.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### tar

          public tar()

      Establishes the default userName with the 'user.name' property.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] argv)

      The main entry point of the tar class.

    - #### instanceMain

          public void instanceMain(java.lang.String[] argv)

      This is the "real" main. The class main() instantiates a tar object for the application and then calls this method. Process the arguments and perform the requested operation.

    - #### showTarProgressMessage

          public void showTarProgressMessage(java.lang.String msg)

      Display progress information by printing it to System.out.
      Specified by:
        `showTarProgressMessage` in interface `TarProgressDisplay`
      Parameters:
        `msg` - The message to display.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.